<script lang="ts">
  import Card from './Card.svelte';
  import Tag from '$lib/components/Tag.svelte';
  import { PUBLIC_API_URL } from '$env/static/public';

  export let id: number,
    title: string,
    anons: string,
    author: any,
    date: string,
    tags: any[],
    attachment: any;

  const locale = 'ru-RU',
    dateString = new Intl.DateTimeFormat(locale).format(new Date(date));
</script>

<Card bordered>
    <a href="/news/{id}"><h2 class="md:text-2xl text-xl font-bold font-serif hover:underline decoration-blue-700">{title}</h2></a>
    <section class="flex flex-wrap gap-4">
        {#each tags as { name }}
            <Tag noSelect {name}/>
        {/each}
    </section>
    <section class="grid sm:grid-cols-2 gap-3">
        <p class="text-lg">{anons}</p>
        <img src="{PUBLIC_API_URL}/attachment/{attachment.id}" alt="" class="object-cover aspect-video w-full rounded-xl">
    </section>
    <section class="flex justify-between gap-3 text-neutral-400">
        <address class="not-italic">{author.lastName} {author.firstName}</address>
        <time>{dateString}</time>
    </section>
</Card>